Metadata generation failed python ошибка

To fix the error, you will have to add the following command during the installation of your package: --use-deprecated=backtrack-on-build-failures.

The Error “error: metadata-generation-failed”, is an error that is invoked when you are working on python and are trying to install the artic package via pip install gensim. Given below is the snippet of the error you might get:

error: metadata-generation-failed

I would like to share with you the steps I took to fix the “error: metadata-generation-failed”

The error, “error: metadata-generation-failed” is seen because, of a recent change in pip, you can simple sove the error by adding –use-deprecated=backtrack-on-build-failures during installation.

The detailed solution to fix the error “error: metadata-generation-failed”, is given below:

How to fix “error: metadata-generation-failed” Python Error?

To fix the error, you will have to add the following command during the installation of your package: –use-deprecated=backtrack-on-build-failures. It would fix the error metadata-generation-failed Python.

To fix the error, “error: metadata-generation-failed”, you will have to follow one the steps mentioned below:

This error is caused because of a change in pip, you can add the following command during the installation of your package:

--use-deprecated=backtrack-on-build-failures

For your reference we will take an example of installing the numpy package, normally you would use pip install numpy, but with the new way you would use the following code:

pip install numpy --use-deprecated=backtrack-on-build-failures

The above method should work fine for windows systems, if you still face the error in your linux based systems then you will have to follow the below mentioned commands and try the above steps again:

sudo apt-get install python-dev 
sudo apt-get install build-essential
python -m pip install -U pip or python3 -m pip install -U pip 
pip3 install --upgrade setuptools

This should fix the error “error: metadata-generation-failed”.

Conclusion

To fix the error “error: metadata-generation-failed”, you will have to add the following command during the installation of your package: –use-deprecated=backtrack-on-build-failures.

Also Read:

How to Fix ‘Party Service Unavailable’ in World War 3
How to Fix ‘connected to wrong server’ World War 3
How to Fix ‘Client authentication error’ World War 3
How to Fix ‘Accepting friend requests causes game to crash’ World War 3
How to Fix ‘Accepting party invites causes game to crash’ World War 3
How to Fix ‘initializing interface timeout’ World War 3
How to Fix ‘stuck on map loading screens’
How to Fix ‘Client Authentication Failure’ in World War 3
How to Fix ‘THE TOKEN IS INVALID’ in World War 3
How to Fix World War 3 Error 40302

I am trying to get started with downloading this project: https://github.com/sadighian/crypto-rl

And I’ve downloaded the packages in the requirements file but I can’t figure out why the artic package won’t download. I am getting this error:

  × python setup.py egg_info did not run successfully.
  │ exit code: 1
  ╰─> [312 lines of output]
      /Users/aishahalane/venv/lib/python3.9/site-packages/setuptools/installer.py:27: SetuptoolsDeprecationWarning: setuptools.installer is deprecated. Requirements should be satisfied by a PEP 517 installer.
        warnings.warn(
        error: subprocess-exited-with-error
      
        × Building wheel for numpy (pyproject.toml) did not run successfully.
        │ exit code: 1
        ╰─> [269 lines of output]
            …
            error: Command "/opt/concourse/worker/volumes/live/c1a1a6ef-e724-4ad9-52a7-d6d68451dacb/volume/python-split_1631807121927/_build_env/bin/llvm-ar rcs build/temp.macosx-10.9-x86_64-3.9/libnpymath.a build/temp.macosx-10.9-x86_64-3.9/numpy/core/src/npymath/npy_math.o build/temp.macosx-10.9-x86_64-3.9/build/src.macosx-10.9-x86_64-3.9/numpy/core/src/npymath/ieee754.o build/temp.macosx-10.9-x86_64-3.9/build/src.macosx-10.9-x86_64-3.9/numpy/core/src/npymath/npy_math_complex.o build/temp.macosx-10.9-x86_64-3.9/numpy/core/src/npymath/halffloat.o" failed with exit status 127
            [end of output]
      
        note: This error originates from a subprocess, and is likely not a problem with pip.
        ERROR: Failed building wheel for numpy
      ERROR: Failed to build one or more wheels
      Traceback (most recent call last):
        File "/Users/aishahalane/venv/lib/python3.9/site-packages/setuptools/installer.py", line 82, in fetch_build_egg
          subprocess.check_call(cmd)
        File "/Users/aishahalane/opt/anaconda3/lib/python3.9/subprocess.py", line 373, in check_call
          raise CalledProcessError(retcode, cmd)
      subprocess.CalledProcessError: Command '['/Users/aishahalane/venv/bin/python3', '-m', 'pip', '--disable-pip-version-check', 'wheel', '--no-deps', '-w', '/var/folders/_p/xqkc7m_n2_ngn8wdd3pgytp80000gn/T/tmph3_m5ewf', '--quiet', 'numpy<=1.18.4']' returned non-zero exit status 1.
      
      The above exception was the direct cause of the following exception:
      
      Traceback (most recent call last):
        File "<string>", line 2, in <module>
        File "<pip-setuptools-caller>", line 34, in <module>
        File "/private/var/folders/_p/xqkc7m_n2_ngn8wdd3pgytp80000gn/T/pip-req-build-s7mgwt47/setup.py", line 59, in <module>
          setup(
        File "/Users/aishahalane/venv/lib/python3.9/site-packages/setuptools/__init__.py", line 154, in setup
          _install_setup_requires(attrs)
        File "/Users/aishahalane/venv/lib/python3.9/site-packages/setuptools/__init__.py", line 148, in _install_setup_requires
          dist.fetch_build_eggs(dist.setup_requires)
        File "/Users/aishahalane/venv/lib/python3.9/site-packages/setuptools/dist.py", line 812, in fetch_build_eggs
          resolved_dists = pkg_resources.working_set.resolve(
        File "/Users/aishahalane/venv/lib/python3.9/site-packages/pkg_resources/__init__.py", line 771, in resolve
          dist = best[req.key] = env.best_match(
        File "/Users/aishahalane/venv/lib/python3.9/site-packages/pkg_resources/__init__.py", line 1056, in best_match
          return self.obtain(req, installer)
        File "/Users/aishahalane/venv/lib/python3.9/site-packages/pkg_resources/__init__.py", line 1068, in obtain
          return installer(requirement)
        File "/Users/aishahalane/venv/lib/python3.9/site-packages/setuptools/dist.py", line 883, in fetch_build_egg
          return fetch_build_egg(self, req)
        File "/Users/aishahalane/venv/lib/python3.9/site-packages/setuptools/installer.py", line 84, in fetch_build_egg
          raise DistutilsError(str(e)) from e
      distutils.errors.DistutilsError: Command '['/Users/aishahalane/venv/bin/python3', '-m', 'pip', '--disable-pip-version-check', 'wheel', '--no-deps', '-w', '/var/folders/_p/xqkc7m_n2_ngn8wdd3pgytp80000gn/T/tmph3_m5ewf', '--quiet', 'numpy<=1.18.4']' returned non-zero exit status 1.
      [end of output]
  
  note: This error originates from a subprocess, and is likely not a problem with pip.
error: metadata-generation-failed

× Encountered error while generating package metadata.
╰─> See above for output.

note: This is an issue with the package mentioned above, not pip.

How do I solve this problem?

I upgraded from 3.9.5 to the latest version of 3.10.5. Errors still occur seems to be roughly the same error but this time it occurs with Scipy.

I have added the Stacktrace log below:

C:UsersTyanb>pip install mindsdb
Collecting mindsdb
Using cached MindsDB-22.6.2.1.tar.gz (150 kB)
Installing build dependencies … done
Getting requirements to build wheel … done
Preparing metadata (pyproject.toml) … done
Collecting lightwood<22.6.2.0,>=22.6.1.2
Using cached lightwood-22.6.1.2.tar.gz (182 kB)
Installing build dependencies … done
Getting requirements to build wheel … done
Preparing metadata (pyproject.toml) … done
Collecting sqlalchemy>=1.3.0
Downloading SQLAlchemy-1.4.37-cp310-cp310-win_amd64.whl (1.6 MB)
—————————————- 1.6/1.6 MB 3.4 MB/s eta 0:00:00
Collecting python-tds>=1.10.0
Using cached python-tds-1.11.0.tar.gz (68 kB)
Preparing metadata (setup.py) … done
Collecting checksumdir>=1.2.0
Using cached checksumdir-1.2.0-py3-none-any.whl (5.3 kB)
Collecting flask-restx>=0.2.0
Using cached flask_restx-0.5.1-py2.py3-none-any.whl (5.3 MB)
Collecting flask<2.0,>=1.0
Using cached Flask-1.1.4-py2.py3-none-any.whl (94 kB)
Collecting pymongo[srv,tls]>=3.10.1
Downloading pymongo-4.1.1-cp310-cp310-win_amd64.whl (365 kB)
—————————————- 365.3/365.3 KB 2.8 MB/s eta 0:00:00
Collecting sentry-sdk
Using cached sentry_sdk-1.5.12-py2.py3-none-any.whl (145 kB)
Collecting alembic>=1.3.3
Using cached alembic-1.8.0-py3-none-any.whl (209 kB)
Requirement already satisfied: setuptools in c:userstyanbappdatalocalprogramspythonpython310libsite-packages (from mindsdb) (58.1.0)
Collecting flask-compress>=1.0.0
Using cached Flask_Compress-1.12-py3-none-any.whl (7.9 kB)
Collecting mindsdb-sql<0.4.0,>=0.3.5
Using cached mindsdb_sql-0.3.7-py3-none-any.whl (88 kB)
Collecting kafka-python>=2.0.0
Using cached kafka_python-2.0.2-py2.py3-none-any.whl (246 kB)
Collecting walrus==0.8.2
Using cached walrus-0.8.2.tar.gz (81 kB)
Preparing metadata (setup.py) … done
Collecting duckdb==0.3.1
Downloading duckdb-0.3.1.tar.gz (8.8 MB)
—————————————- 8.8/8.8 MB 3.9 MB/s eta 0:00:00
Preparing metadata (setup.py) … done
Collecting requests>=2.0.0
Downloading requests-2.28.0-py3-none-any.whl (62 kB)
—————————————- 62.8/62.8 KB 3.5 MB/s eta 0:00:00
Collecting python-multipart>=0.0.5
Using cached python-multipart-0.0.5.tar.gz (32 kB)
Preparing metadata (setup.py) … done
Collecting psutil
Downloading psutil-5.9.1-cp310-cp310-win_amd64.whl (245 kB)
—————————————- 245.8/245.8 KB 2.1 MB/s eta 0:00:00
Collecting mindsdb-datasources<1.9.0,>=1.8.4
Using cached mindsdb_datasources-1.8.4.tar.gz (25 kB)
Preparing metadata (setup.py) … done
Collecting psycopg[binary]>=1.15.3
Using cached psycopg-3.0.14-py3-none-any.whl (143 kB)
Collecting pyparsing==2.3.1
Using cached pyparsing-2.3.1-py2.py3-none-any.whl (61 kB)
Collecting mindsdb-streams==0.0.5
Using cached mindsdb-streams-0.0.5.tar.gz (9.5 kB)
Installing build dependencies … done
Getting requirements to build wheel … done
Preparing metadata (pyproject.toml) … done
Collecting cryptography<3.4,>=2.9.2
Using cached cryptography-3.3.2-cp36-abi3-win_amd64.whl (1.5 MB)
Collecting markupsafe==2.0.1
Downloading MarkupSafe-2.0.1-cp310-cp310-win_amd64.whl (15 kB)
Collecting waitress>=1.4.4
Using cached waitress-2.1.2-py3-none-any.whl (57 kB)
Collecting appdirs>=1.0.0
Using cached appdirs-1.4.4-py2.py3-none-any.whl (9.6 kB)
Collecting numpy>=1.14
Downloading numpy-1.22.4-cp310-cp310-win_amd64.whl (14.7 MB)
—————————————- 14.7/14.7 MB 951.7 kB/s eta 0:00:00
Collecting requests>=2.0.0
Using cached requests-2.26.0-py2.py3-none-any.whl (62 kB)
Collecting urllib3==1.26.6
Using cached urllib3-1.26.6-py2.py3-none-any.whl (138 kB)
Collecting pandas>=1.1.5
Downloading pandas-1.4.2-cp310-cp310-win_amd64.whl (10.6 MB)
—————————————- 10.6/10.6 MB 1.9 MB/s eta 0:00:00
Collecting redis==3.5.3
Using cached redis-3.5.3-py2.py3-none-any.whl (72 kB)
Collecting certifi==2021.5.30
Using cached certifi-2021.5.30-py2.py3-none-any.whl (145 kB)
Collecting charset-normalizer==2.0.2
Using cached charset_normalizer-2.0.2-py3-none-any.whl (35 kB)
Collecting idna==3.2
Using cached idna-3.2-py3-none-any.whl (59 kB)
Collecting Mako
Using cached Mako-1.2.0-py3-none-any.whl (78 kB)
Collecting six>=1.4.1
Using cached six-1.16.0-py2.py3-none-any.whl (11 kB)
Collecting cffi>=1.12
Downloading cffi-1.15.0-cp310-cp310-win_amd64.whl (180 kB)
—————————————- 180.3/180.3 KB 1.6 MB/s eta 0:00:00
Collecting click<8.0,>=5.1
Using cached click-7.1.2-py2.py3-none-any.whl (82 kB)
Collecting itsdangerous<2.0,>=0.24
Using cached itsdangerous-1.1.0-py2.py3-none-any.whl (16 kB)
Collecting Jinja2<3.0,>=2.10.1
Using cached Jinja2-2.11.3-py2.py3-none-any.whl (125 kB)
Collecting Werkzeug<2.0,>=0.15
Using cached Werkzeug-1.0.1-py2.py3-none-any.whl (298 kB)
Collecting brotli
Downloading Brotli-1.0.9-cp310-cp310-win_amd64.whl (383 kB)
—————————————- 383.3/383.3 KB 994.9 kB/s eta 0:00:00
Collecting aniso8601>=0.82
Using cached aniso8601-9.0.1-py2.py3-none-any.whl (52 kB)
Collecting pytz
Using cached pytz-2022.1-py2.py3-none-any.whl (503 kB)
Collecting jsonschema
Using cached jsonschema-4.6.0-py3-none-any.whl (80 kB)
Collecting scipy<=1.7.1,>=1.5.4
Downloading scipy-1.6.1.tar.gz (27.3 MB)
—————————————- 27.3/27.3 MB 1.4 MB/s eta 0:00:00
Installing build dependencies … done
Getting requirements to build wheel … done
Preparing metadata (pyproject.toml) … error
error: subprocess-exited-with-error

× Preparing metadata (pyproject.toml) did not run successfully.
│ exit code: 1
╰─> [130 lines of output]
setup.py:461: UserWarning: Unrecognized setuptools command (‘dist_info —egg-base C:UsersTyanbAppDataLocalTemppip-modern-metadata-f0ssrpuh’), proceeding with generating Cython sources and expanding templates
warnings.warn(«Unrecognized setuptools command (‘{}’), proceeding with «
Running from SciPy source directory.
INFO: lapack_opt_info:
INFO: lapack_armpl_info:
INFO: No module named ‘numpy.distutils._msvccompiler’ in numpy.distutils; trying from distutils
INFO: customize MSVCCompiler
INFO: libraries armpl_lp64_mp not found in [‘C:UsersTyanbAppDataLocalProgramsPythonPython310lib’, ‘C:’, ‘C:UsersTyanbAppDataLocalProgramsPythonPython310libs’]
INFO: NOT AVAILABLE
INFO:
INFO: lapack_mkl_info:
INFO: libraries mkl_rt not found in [‘C:UsersTyanbAppDataLocalProgramsPythonPython310lib’, ‘C:’, ‘C:UsersTyanbAppDataLocalProgramsPythonPython310libs’]
INFO: NOT AVAILABLE
INFO:
INFO: openblas_lapack_info:
INFO: libraries openblas not found in [‘C:UsersTyanbAppDataLocalProgramsPythonPython310lib’, ‘C:’, ‘C:UsersTyanbAppDataLocalProgramsPythonPython310libs’]
INFO: get_default_fcompiler: matching types: ‘[‘gnu’, ‘intelv’, ‘absoft’, ‘compaqv’, ‘intelev’, ‘gnu95’, ‘g95’, ‘intelvem’, ‘intelem’, ‘flang’]’
INFO: customize GnuFCompiler
WARN: Could not locate executable g77
WARN: Could not locate executable f77
INFO: customize IntelVisualFCompiler
WARN: Could not locate executable ifort
WARN: Could not locate executable ifl
INFO: customize AbsoftFCompiler
WARN: Could not locate executable f90
INFO: customize CompaqVisualFCompiler
WARN: Could not locate executable DF
INFO: customize IntelItaniumVisualFCompiler
WARN: Could not locate executable efl
INFO: customize Gnu95FCompiler
WARN: Could not locate executable gfortran
WARN: Could not locate executable f95
INFO: customize G95FCompiler
WARN: Could not locate executable g95
INFO: customize IntelEM64VisualFCompiler
INFO: customize IntelEM64TFCompiler
WARN: Could not locate executable efort
WARN: Could not locate executable efc
INFO: customize PGroupFlangCompiler
WARN: Could not locate executable flang
WARN: don’t know how to compile Fortran code on platform ‘nt’
INFO: NOT AVAILABLE
INFO:
INFO: openblas_clapack_info:
INFO: libraries openblas,lapack not found in [‘C:UsersTyanbAppDataLocalProgramsPythonPython310lib’, ‘C:’, ‘C:UsersTyanbAppDataLocalProgramsPythonPython310libs’]
INFO: NOT AVAILABLE
INFO:
INFO: flame_info:
INFO: libraries flame not found in [‘C:UsersTyanbAppDataLocalProgramsPythonPython310lib’, ‘C:’, ‘C:UsersTyanbAppDataLocalProgramsPythonPython310libs’]
INFO: NOT AVAILABLE
INFO:
INFO: accelerate_info:
INFO: NOT AVAILABLE
INFO:
INFO: atlas_3_10_threads_info:
INFO: Setting PTATLAS=ATLAS
INFO: libraries tatlas,tatlas not found in C:UsersTyanbAppDataLocalProgramsPythonPython310lib
INFO: libraries tatlas,tatlas not found in C:
INFO: libraries tatlas,tatlas not found in C:UsersTyanbAppDataLocalProgramsPythonPython310libs
INFO: <class ‘numpy.distutils.system_info.atlas_3_10_threads_info’>
INFO: NOT AVAILABLE
INFO:
INFO: atlas_3_10_info:
INFO: libraries satlas,satlas not found in C:UsersTyanbAppDataLocalProgramsPythonPython310lib
INFO: libraries satlas,satlas not found in C:
INFO: libraries satlas,satlas not found in C:UsersTyanbAppDataLocalProgramsPythonPython310libs
INFO: <class ‘numpy.distutils.system_info.atlas_3_10_info’>
INFO: NOT AVAILABLE
INFO:
INFO: atlas_threads_info:
INFO: Setting PTATLAS=ATLAS
INFO: libraries ptf77blas,ptcblas,atlas not found in C:UsersTyanbAppDataLocalProgramsPythonPython310lib
INFO: libraries ptf77blas,ptcblas,atlas not found in C:
INFO: libraries ptf77blas,ptcblas,atlas not found in C:UsersTyanbAppDataLocalProgramsPythonPython310libs
INFO: <class ‘numpy.distutils.system_info.atlas_threads_info’>
INFO: NOT AVAILABLE
INFO:
INFO: atlas_info:
INFO: libraries f77blas,cblas,atlas not found in C:UsersTyanbAppDataLocalProgramsPythonPython310lib
INFO: libraries f77blas,cblas,atlas not found in C:
INFO: libraries f77blas,cblas,atlas not found in C:UsersTyanbAppDataLocalProgramsPythonPython310libs
INFO: <class ‘numpy.distutils.system_info.atlas_info’>
INFO: NOT AVAILABLE
INFO:
INFO: lapack_info:
INFO: libraries lapack not found in [‘C:UsersTyanbAppDataLocalProgramsPythonPython310lib’, ‘C:’, ‘C:UsersTyanbAppDataLocalProgramsPythonPython310libs’]
INFO: NOT AVAILABLE
INFO:
C:UsersTyanbAppDataLocalTemppip-build-env-85vp7kzboverlayLibsite-packagesnumpydistutilssystem_info.py:1902: UserWarning:
Lapack (http://www.netlib.org/lapack/) libraries not found.
Directories to search for the libraries can be specified in the
numpy/distutils/site.cfg file (section [lapack]) or by setting
the LAPACK environment variable.
return getattr(self, ‘calc_info{}’.format(name))()
INFO: lapack_src_info:
INFO: NOT AVAILABLE
INFO:
C:UsersTyanbAppDataLocalTemppip-build-env-85vp7kzboverlayLibsite-packagesnumpydistutilssystem_info.py:1902: UserWarning:
Lapack (http://www.netlib.org/lapack/) sources not found.
Directories to search for the sources can be specified in the
numpy/distutils/site.cfg file (section [lapack_src]) or by setting
the LAPACK_SRC environment variable.
return getattr(self, ‘calc_info{}’.format(name))()
INFO: NOT AVAILABLE
INFO:
Traceback (most recent call last):
File «C:UsersTyanbAppDataLocalProgramsPythonPython310libsite-packagespip_vendorpep517in_process_in_process.py», line 363, in
main()
File «C:UsersTyanbAppDataLocalProgramsPythonPython310libsite-packagespip_vendorpep517in_process_in_process.py», line 345, in main
json_out[‘return_val’] = hook(**hook_input[‘kwargs’])
File «C:UsersTyanbAppDataLocalProgramsPythonPython310libsite-packagespip_vendorpep517in_process_in_process.py», line 164, in prepare_metadata_for_build_wheel
return hook(metadata_directory, config_settings)
File «C:UsersTyanbAppDataLocalTemppip-build-env-85vp7kzboverlayLibsite-packagessetuptoolsbuild_meta.py», line 161, in prepare_metadata_for_build_wheel
self.run_setup()
File «C:UsersTyanbAppDataLocalTemppip-build-env-85vp7kzboverlayLibsite-packagessetuptoolsbuild_meta.py», line 253, in run_setup
super(_BuildMetaLegacyBackend,
File «C:UsersTyanbAppDataLocalTemppip-build-env-85vp7kzboverlayLibsite-packagessetuptoolsbuild_meta.py», line 145, in run_setup
exec(compile(code, file, ‘exec’), locals())
File «setup.py», line 588, in
setup_package()
File «setup.py», line 584, in setup_package
setup(**metadata)
File «C:UsersTyanbAppDataLocalTemppip-build-env-85vp7kzboverlayLibsite-packagesnumpydistutilscore.py», line 135, in setup
config = configuration()
File «setup.py», line 499, in configuration
raise NotFoundError(msg)
numpy.distutils.system_info.NotFoundError: No BLAS/LAPACK libraries found.
To build Scipy from sources, BLAS & LAPACK libraries need to be installed.
See site.cfg.example in the Scipy source directory and
https://docs.scipy.org/doc/scipy/reference/building/index.html for details.
[end of output]

note: This error originates from a subprocess, and is likely not a problem with pip.
error: metadata-generation-failed

× Encountered error while generating package metadata.
╰─> See above for output.

note: This is an issue with the package mentioned above, not pip.
hint: See above for details.

20.01.2023

404 Просмотры

Ошибка «encountered error while generating package metadata» при установке модуля для Python 3.11. Как исправить эту ошибку и установить модуль для Питон.

Encountered error while generating package metadata возникает по нескольким причинам:

  1. Наличие устаревшей версии pipи setuptools.
  2. Наличие версии Python, которая не поддерживается пакетом, который вы пытаетесь установить.
  3. Ошибка в написании имени пакета.
  4. Отсутствуют зависимости.

Первое, что вы должны попробовать, это запустить pip install команду с –use-deprecated параметром.

Этот –use-deprecated параметр позволяет нам использовать старое поведение распознавателя при установке модулей.

Если у вас более старая версия pip, вы должны установить –use-deprecated параметр на backtrack-on-build-failures.

Если предложения не помогли, прочитайте конец сообщения об ошибке.

Она может содержать такую информацию, как: “Ошибка выполнения: невозможно установить на Python версии 3.11.0; поддерживаются только версии> = 3.7, <3.11”.

В этом случае вы должны использовать версию Python, которая поддерживается пакетом.

Ваше сообщение об ошибке может также содержать отсутствующий пакет, который необходимо установить, например “Ошибка ModuleNotFoundError: нет модуля с именем ‘auxlib’”.

В этом случае вам необходимо установить auxlibпакет перед установкой другого пакета.

Другой распространенной причиной ошибки является неправильное написание имени пакета и попытка установить какой-либо сломанный, устаревший модуль по ошибке.

Если ни одно из предложений не помогло, попробуйте обновить свою pipверсию перед установкой пакета.

Убедитесь, что вы не пытаетесь установить модуль, встроенный в стандарт Библиотека Python, напримерemail, модуль. Вы можете напрямую импортировать встроенные модули без их установки.

При установке модуля pygame для Python возникает следующая ошибка:

error: metadata-generation-failed × Encountered error while generating package metadata. ╰─> See above for output.

Ошибка при установке модуля, в данном случае это pygame, возникает по причине не совместимости версии Python и модуля pygame. В моем случае версия Питона самая свежая на момент написания статьи — 3.11, с которой конфликтует модуль pygame.

Для того чтобы установить модуль pygame на Python 3.11, нужно ввести следующую команду:

pip install pygame –pre

Тем самым мы устанавливаем предварительную версию модуля. По умолчанию pip находит только стабильные версии.

После чего модуль pygame будет успешно установлен.

Если ни одно из предложений не помогло, убедитесь, что ваша версия Python поддерживается пакетом.

Загрузка…

Понравилась статья? Поделить с друзьями: